<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.distributed.print.business.mapper.ExamTaskPaperDataMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qmth.distributed.print.business.entity.ExamTaskPaperData">
        <id column="exam_id" property="examId" />
        <id column="paper_number" property="paperNumber" />
        <id column="paper_id" property="paperId" />
        <result column="data_packet_path" property="dataPacketPath" />
        <result column="paper_json" property="paperJson" />
        <result column="answer_json" property="answerJson" />
        <result column="paper_pdf_attachment_id" property="paperPdfAttachmentId" />
        <result column="answer_pdf_attachment_id" property="answerPdfAttachmentId" />
        <result column="uuid" property="uuid" />
    </resultMap>

</mapper>
